<?php 
session_start();
if (isset($_REQUEST['id'])){
		/* Connect To Database*/
		require_once ("../../config/db.php");
		require_once ("../../config/conexion.php");
		
		//Inicia Control de Permisos
		include("../../config/permisos.php");
		$user_id = $_SESSION['user_id'];
		get_cadena($user_id);
		$modulo="Usuarios";
		permisos($modulo,$cadena_permisos);
		//Finaliza Control de Permisos
		
			if (isset($_REQUEST["id"])){//codigo para eliminar 
			$id=$_REQUEST["id"];
			$user_id=intval($id);
			if ($permisos_eliminar==1){//Si cuenta por los permisos bien
			$query_validate1=mysqli_query($con,"select purchase_by from purchases where purchase_by='".$user_id."'");
			$count1=mysqli_num_rows($query_validate1);
			$query_validate2=mysqli_query($con,"select sale_by from sales where sale_by='".$user_id."'");
			$count2=mysqli_num_rows($query_validate2);
				if ($count1==0 and $count2==0 )
				{	
					if($delete=mysqli_query($con, "DELETE FROM users WHERE user_id='$user_id'")){
						$messages[]="<b>Bien hecho!</b> Datos eliminados satisfactoriamente.";	
					}else{
						$errors[]="Error al eliminar los datos ".mysqli_error($con);					
					}
				}
				else 
				{
					$errors[]="Error al eliminar los datos. El usuario se encuentra vinculado al inventario.";
				}
				
			} else {//No cuenta con los permisos
				$errors[]="No cuentas con los permisos necesario para acceder a este módulo";
			}
		}

		
		
		if (isset($errors)){
			
			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong> 
					<?php
						foreach ($errors as $error) {
								echo $error;
							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){
				
				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
				<?php
			}
	}
?>